package communication.messages;

import elevator.Elevator.ElevatorAction;

/**
 * Message to signal that the force action has been completed
 */
public class ForceActionConfirmedMessage implements Message{

	/**
	 *
	 */
	private static final long serialVersionUID = 921097208064337848L;
	private int elevatorId;
	private ElevatorAction action;

	public ForceActionConfirmedMessage(int elevatorId, ElevatorAction action) {
		this.elevatorId = elevatorId;
		this.action = action;
	}

	public int getElevatorId() {
		return elevatorId;
	}

	public ElevatorAction getAction() {
		return action;
	}
}
